SDL_TextInputEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
char | text [SDL_TEXTINPUTEVENT_TEXT_SIZE]

## Detailed Description

Keyboard text input event structure (event.text.*)

text is limited to SDL_TEXTINPUTEVENT_TEXT_SIZE bytes. If the incoming string is larger than this, SDL will split it and send it in pieces, across multiple events. The string is in UTF-8 format, and if split, SDL guarantees that it will not split in the middle of a UTF-8 sequence, so any event will only contain complete codepoints. However, if there are several codepoints that go together into a single glyph (like an emoji "thumbs up" followed by a skin color), they may be split between events.

This event will never be delivered unless text input is enabled by calling SDL_StartTextInput(). Text input is enabled by default on desktop platforms, and disabled by default on mobile platforms!

See also
  SDL_StartTextInput
  SDL_StopTextInput

Definition at line 288 of file SDL_events.h.

## Field Documentation

## text

char SDL_TextInputEvent::text[SDL_TEXTINPUTEVENT_TEXT_SIZE]

The input text; UTF-8 encoded.

Definition at line 293 of file SDL_events.h.

## timestamp

Uint32 SDL_TextInputEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 291 of file SDL_events.h.

## type

Uint32 SDL_TextInputEvent::type

SDL_TEXTINPUT

Definition at line 290 of file SDL_events.h.

## windowID

Uint32 SDL_TextInputEvent::windowID

The window with keyboard focus, if any

Definition at line 292 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h